#pragma once

/**
  \brief A simple cube mesh. 
  
  Texture coordinates range from 0..1 for each face, thus no texture atlas is necessary
  when texturing all faces with the same texture. 
  See EnvMap::DrawEnvObjects().
*/
class Cube
{
	IDirect3DDevice9* pd3dDevice;
	HRESULT hr;

public:
	IDirect3DVertexBuffer9 *pVertexBuffer;   
	Cube(IDirect3DDevice9* pd3dDevice);
	void Destroy();
	void PrepareDrawing();
	void Draw();
	void DrawFace(int index);
};
